com.trendmicro.ds.platform.rest.object.mt.configuration

## Class UpdateMultiTenantConfigurationRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.WebServiceRequest
  - - com.trendmicro.ds.platform.rest.object.mt.configuration.UpdateMultiTenantConfigurationRequest

-     public class UpdateMultiTenantConfigurationRequest
      extends WebServiceRequest

  Provides options for the multi-tenant configuration of DSM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateMultiTenantConfigurationRequest()`
    `UpdateMultiTenantConfigurationRequest(java.lang.String sessionId, MultiTenantConfigurationElement multiTenantConfigurationElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiTenantConfigurationElement` | `getMultiTenantConfigurationElement()` The multi-tenant configuration.
    `void` | `setMultiTenantConfigurationElement(MultiTenantConfigurationElement multiTenantConfigurationElement)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.WebServiceRequest

      `getSessionId, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateMultiTenantConfigurationRequest

          public UpdateMultiTenantConfigurationRequest()

    - #### UpdateMultiTenantConfigurationRequest

          public UpdateMultiTenantConfigurationRequest(java.lang.String sessionId,
                                                       MultiTenantConfigurationElement multiTenantConfigurationElement)

  - ### Method Detail

    - #### getMultiTenantConfigurationElement

          public MultiTenantConfigurationElement getMultiTenantConfigurationElement()

      The multi-tenant configuration.

    - #### setMultiTenantConfigurationElement

          public void setMultiTenantConfigurationElement(MultiTenantConfigurationElement multiTenantConfigurationElement)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.